Bug 94915 - FILEOPEN: .DOCX with dirty fields seen as invalid
Summary: FILEOPEN: .DOCX with dirty fields seen as invalid
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2015-10-09 15:25 UTC by gabriel.sandor
Modified: 2019-10-11 02:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX file with dirty field originally created in MS Word that can not be opened by LibreOffice Writer. (10.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-09 15:25 UTC, gabriel.sandor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gabriel.sandor 2015-10-09 15:25:02 UTC
Created attachment 119460 [details]
DOCX file with dirty field originally created in MS Word that can not be opened by LibreOffice Writer.

According to section 17.16.14 in ECMA-376 part 1 (http://www.ecma-international.org/publications/standards/Ecma-376.htm), fields can be marked with the w:dirty attribute which marks the field's contents as out-of-date when the attribute is set to "true".

Sometimes, when a dirty field exists in a .docx file, LibreOffice Writer fails to open it even if it is perfectly valid, throwing a "General error" message to the user. This can happen both for simple and complex fields.

MS Word, on the other hand, can always open such files.
Comment 1 Buovjaga 2015-10-09 16:41:13 UTC
Confirmed.
The file '_Author.docx' is corrupt and therefore cannot be opened. LibreOffice can try to repair the file.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: f830600ece806ec365a4839e79afabe183c5e36d
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-06_22:49:09
Locale: en-US (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 tommy27 2016-10-13 04:36:03 UTC
still present in  5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-10_23:08:02
Locale: it-IT (it_IT); Calc: group
Comment 3 QA Administrators 2018-10-10 03:05:34 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2018-10-10 07:40:02 UTC
still repro in 

Version: 6.2.0.0.alpha0+
Build ID: d9ad59da50c1172fe98f94370221c9c1b688200a
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-08_23:34:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 5 QA Administrators 2019-10-11 02:35:05 UTC
Dear gabriel.sandor,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug